<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.indexer.IndexWriterParams (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.indexer.IndexWriterParams (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/indexer/class-use/IndexWriterParams.html" target="_top">Frames</a></li>
<li><a href="IndexWriterParams.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.indexer.IndexWriterParams" class="title">Uses of Class<br>org.apache.nutch.indexer.IndexWriterParams</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer">org.apache.nutch.indexer</a></td>
<td class="colLast">
<div class="block">Index content, configure and run indexing and cleaning jobs to 
add, update, and delete documents from an index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.cloudsearch">org.apache.nutch.indexwriter.cloudsearch</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.csv">org.apache.nutch.indexwriter.csv</a></td>
<td class="colLast">
<div class="block">Index writer plugin to write a plain CSV file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.dummy">org.apache.nutch.indexwriter.dummy</a></td>
<td class="colLast">
<div class="block">Index writer plugin for debugging, writes pairs of &lt;action, url&gt; to a
 text file, action is one of "add", "update", or "delete".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.elastic">org.apache.nutch.indexwriter.elastic</a></td>
<td class="colLast">
<div class="block">Index writer plugin for <a href="https://www.elastic.co/products/elasticsearch">Elasticsearch</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.kafka">org.apache.nutch.indexwriter.kafka</a></td>
<td class="colLast">
<div class="block">Index writer plugin to produce JSON messages to <a href="https://kafka.apache.org/">Kafka</a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.rabbit">org.apache.nutch.indexwriter.rabbit</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexwriter.solr">org.apache.nutch.indexwriter.solr</a></td>
<td class="colLast">
<div class="block">Index writer plugin for <a href="http://lucene.apache.org/solr/">Apache Solr</a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.indexer">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/IndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.cloudsearch">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/cloudsearch/package-summary.html">org.apache.nutch.indexwriter.cloudsearch</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/cloudsearch/package-summary.html">org.apache.nutch.indexwriter.cloudsearch</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CloudSearchIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/cloudsearch/CloudSearchIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.csv">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/csv/package-summary.html">org.apache.nutch.indexwriter.csv</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/csv/package-summary.html">org.apache.nutch.indexwriter.csv</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CSVIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/csv/CSVIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CSVIndexWriter.Separator.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/csv/CSVIndexWriter.Separator.html#setFromConf-org.apache.nutch.indexer.IndexWriterParams-java.lang.String-">setFromConf</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;property)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CSVIndexWriter.Separator.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/csv/CSVIndexWriter.Separator.html#setFromConf-org.apache.nutch.indexer.IndexWriterParams-java.lang.String-boolean-">setFromConf</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;property,
           boolean&nbsp;isChar)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.dummy">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/dummy/package-summary.html">org.apache.nutch.indexwriter.dummy</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/dummy/package-summary.html">org.apache.nutch.indexwriter.dummy</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DummyIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/dummy/DummyIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.elastic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/elastic/package-summary.html">org.apache.nutch.indexwriter.elastic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/elastic/package-summary.html">org.apache.nutch.indexwriter.elastic</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected RestHighLevelClient</code></td>
<td class="colLast"><span class="typeNameLabel">ElasticIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/elastic/ElasticIndexWriter.html#makeClient-org.apache.nutch.indexer.IndexWriterParams-">makeClient</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Generates a RestHighLevelClient with the hosts given</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ElasticIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/elastic/ElasticIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.kafka">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/kafka/package-summary.html">org.apache.nutch.indexwriter.kafka</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/kafka/package-summary.html">org.apache.nutch.indexwriter.kafka</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">KafkaIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/kafka/KafkaIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;params)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.rabbit">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/rabbit/package-summary.html">org.apache.nutch.indexwriter.rabbit</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/rabbit/package-summary.html">org.apache.nutch.indexwriter.rabbit</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RabbitIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/rabbit/RabbitIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexwriter.solr">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a> in <a href="../../../../../org/apache/nutch/indexwriter/solr/package-summary.html">org.apache.nutch.indexwriter.solr</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexwriter/solr/package-summary.html">org.apache.nutch.indexwriter.solr</a> with parameters of type <a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SolrIndexWriter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexwriter/solr/SolrIndexWriter.html#open-org.apache.nutch.indexer.IndexWriterParams-">open</a></span>(<a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">IndexWriterParams</a>&nbsp;parameters)</code>
<div class="block">Initializes the internal variables from a given index writer configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/indexer/class-use/IndexWriterParams.html" target="_top">Frames</a></li>
<li><a href="IndexWriterParams.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
